import { setRequest } from "@/utils/httpRequest";

/**
 * 5.1.1 应用分组-列表
 */
export const appgroup_list = (data) => setRequest("appgroup/list", data);

/**
 * 5.1.2 应用分组-添加
 */
export const appgroup_add = (data) => setRequest("appgroup/add", data);

/**
 * 5.1.3 应用分组-更新
 */
export const appgroup_edit = (data) => setRequest("appgroup/edit", data);

/**
 * 5.1.4 应用分组-删除
 */
export const appgroup_delete = (data) => setRequest("appgroup/delete", data);

/**
 * 5.1.5 应用分组-列表-应用商店
 */
export const appgroup_list_app = (data) =>
  setRequest("appgroup/list_app", data);

/**
 * 5.2.1 应用-列表
 */
export const app_list = (data) => setRequest("app/list", data);

/**
 * 5.2.2 应用-添加
 */
export const app_add = (data) => setRequest("app/add", data);

/**
 * 5.2.3 应用-更新
 */
export const app_edit = (data) => setRequest("app/edit", data);

/**
 * 5.2.4 应用-删除
 */
export const app_delete = (data) => setRequest("app/delete", data);

/**
 * 5.2.5 应用-详情
 */
export const app_detail = (data) => setRequest("app/detail", data);

/**
 * 5.2.6 应用-获取应用授权设备型号
 */
export const app_detail_device = (data) =>
  setRequest("app/detail_device", data);

/**
 * 5.2.7 应用-更新应用授权设备型号
 */
export const app_edit_device = (data) => setRequest("app/edit_device", data);

/**
 * 5.2.8 应用-列表-应用商店
 */
export const app_list_app = (data) => setRequest("app/list_app", data);

/**
 * 5.2.9 应用-详情-应用商店
 */
export const app_detail_app = (data) => setRequest("app/detail_app", data);

/**
 * 5.2.10 应用-启用
 */
export const app_edit_enable = (data) => setRequest("app/edit_enable", data);

/**
 * 5.2.11 应用-禁用
 */
export const app_edit_unenable = (data) => setRequest("app/edit_unenable", data);
/**
 * 5.3 设备-列表(分组下设备)
 */
export const device_list = (data) => setRequest("device/list", data);
